Bug 45796 - 'NoneType' object has no attribute 'categories'
'NoneType' object has no attribute 'categories'
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on: 44607
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-29 13:41 CET by Johannes Keiser
Modified: 2018-08-03 18:56 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.206
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018022121000732, 2018021221000633, 2018021621000082, 2018012521000183, 2018020121000323, 2018012921000505, 2018011821000231, 2017122421000031, 2017121121000869, 2017121221000483, 2017121921000603, 2017112921000622, 2017120521000264, 2017112821000508
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Keiser univentionstaff 2017-11-29 13:41:41 CET
This error occurred again with a newer UCS version: 4.2-2 errata216 (Lesum).

+++ This bug was initially created as a clone of Bug #44607 +++

Die Ausführung des Kommandos setup/apps/query wizard ist fehlgeschlagen:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 249, in execute
    function.__func__(self, request, *args, **kwargs)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 192, in _response
    return function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 440, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 286, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/setup/__init__.py", line 724, in apps_query
    return util.get_apps(True)
  File "%PY2.7%/univention/management/console/modules/setup/util.py", line 771, in get_apps
    return [get.to_dict(app) for app in Apps().get_all_apps() if app.is_ucs_component()]
  File "%PY2.7%/univention/appcenter/app.py", line 1050, in is_ucs_component
    return 'UCS components' in app.categories
AttributeError: 'NoneType' object has no attribute 'categories'

Version: 4.2-0 errata0 (Lesum)
Comment 1 Johannes Keiser univentionstaff 2017-12-11 15:41:40 CET
Reported again: Version: 4.2-3 errata231 (Lesum)
Comment 2 Johannes Keiser univentionstaff 2017-12-11 16:24:58 CET
Reported again: Version: 4.2-3 errata231 (Lesum)

Remark: Booted image and this message occured on first boot
Comment 3 Johannes Keiser univentionstaff 2018-01-15 16:53:55 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 4 Johannes Keiser univentionstaff 2018-01-16 18:14:11 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 5 Johannes Keiser univentionstaff 2018-01-19 16:20:53 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 6 Johannes Keiser univentionstaff 2018-01-19 16:45:15 CET
Reported again:  Version: 4.2-2 errata216 (Lesum)
Comment 7 Dirk Wiesenthal univentionstaff 2018-02-06 11:16:03 CET
Cache needs to be reworked. But for the time being, implement a simple fix: Test for "app is None"...

Fixed in:
  univention-appcenter 6.0.11-13A~4.2.0.201802061112
Comment 8 Felix Botner univentionstaff 2018-02-08 17:52:06 CET
FAIL - settings fix

relution update

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/__init__.py", line 226, in call_with_namespace
    result = self.main(namespace)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/upgrade.py", line 75, in main
    return self.do_it(args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install_base.py", line 99, in do_it
    self._do_it(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_upgrade.py", line 111, in _do_it
    self._upgrade_image(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_upgrade.py", line 152, in _upgrade_image
    settings.update(args.set_vars)
TypeError: 'NoneType' object is not iterable

OK - component fix
Comment 9 Dirk Wiesenthal univentionstaff 2018-02-09 09:38:52 CET
Fixed in
  univention-appcenter 6.0.11-14A~4.2.0.201802090108
Comment 10 Felix Botner univentionstaff 2018-02-09 11:16:06 CET
OK - update with settings
OK - YAML
OK - merged to 4.3
Comment 11 Arvid Requate univentionstaff 2018-02-14 13:31:45 CET
<http://errata.software-univention.de/ucs/4.2/285.html>
Comment 12 Johannes Keiser univentionstaff 2018-02-15 17:19:48 CET
Reported again: Version: 4.2-3 errata231 (Lesum)
Comment 13 Johannes Keiser univentionstaff 2018-02-15 18:13:29 CET
Reported again: Version: 4.2-3 errata265 (Lesum)
Comment 14 Johannes Keiser univentionstaff 2018-02-16 12:15:46 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 15 Johannes Keiser univentionstaff 2018-02-16 13:22:28 CET
Reported again: Version: 4.2-3 errata265 (Lesum)
Comment 16 Johannes Keiser univentionstaff 2018-02-16 14:11:20 CET
Reported again: Version: 4.2-3 errata265 (Lesum)
Comment 17 Johannes Keiser univentionstaff 2018-03-15 14:54:53 CET
Reported again: Version: 4.2-3 errata231 (Lesum)
Comment 18 Johannes Keiser univentionstaff 2018-03-15 17:37:14 CET
Reported again: Version: 4.2-3 errata265 (Lesum)
Ticket#2018022521000396
Comment 19 Johannes Keiser univentionstaff 2018-03-15 17:38:35 CET
Reported again: Version: 4.2-3 errata265 (Lesum)
Ticket#2018022521000396
Comment 20 Johannes Keiser univentionstaff 2018-03-29 18:46:13 CEST
Reported again: Version: 4.2-3 errata265 (Lesum)
Ticket#2018032821002207
Comment 21 Johannes Keiser univentionstaff 2018-03-29 19:50:01 CEST
Reported again: Version: 4.2-3 errata265 (Lesum)
Ticket#2018032021000385
Comment 22 Johannes Keiser univentionstaff 2018-04-27 14:35:19 CEST
Version: 4.2-3 errata265 (Lesum):
Ticket#2018030321000032
Ticket#2018032021000385
Ticket#2018041121000579
Ticket#2018042121000078
Comment 23 Johannes Keiser univentionstaff 2018-05-04 18:22:01 CEST
Reported again: Version: 4.2-3 errata265 (Lesum)
Ticket#2018050421000652
Comment 24 Johannes Keiser univentionstaff 2018-08-01 12:35:28 CEST
External feedback:
UCS Version: 4.2-3 errata231 (Lesum)

Die Ausführung des Kommandos appcenter/query ist fehlgeschlagen:

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/management/console/base.py", line 250, in execute
    function.__func__(self, request, *args, **kwargs)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/decorators.py", line 192, in _response
    return function(self, request)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/decorators.py", line 440, in _response
    return list(function(self, iterator, *nones))
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/decorators.py", line 286, in _fake_func
    yield function(self, *args)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/appcenter/__init__.py", line 199, in query
    info = domain.to_dict(apps)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/domain.py", line 109, in to_dict
    app_dict = get.to_dict(app)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/get.py", line 115, in to_dict
    ret['is_ucs_component'] = app.is_ucs_component()
  File "/usr/lib/pymodules/python2.7/univention/appcenter/app.py", line 1080, in is_ucs_component
    return 'UCS components' in app.categories
AttributeError: 'NoneType' object has no attribute 'categories'
Comment 25 Johannes Keiser univentionstaff 2018-08-03 18:56:39 CEST
Reported again: Version: 4.2-2 errata219 (Lesum)
Ticket#2018080321000461

Die Ausführung des Kommandos setup/apps/query wizard ist fehlgeschlagen:


Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 250, in execute
    function.__func__(self, request, *args, **kwargs)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 192, in _response
    return function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 440, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 286, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/setup/__init__.py", line 753, in apps_query
    return util.get_apps(True)
  File "%PY2.7%/univention/management/console/modules/setup/util.py", line 774, in get_apps
    return [get.to_dict(app) for app in Apps().get_all_apps() if app.is_ucs_component()]
  File "%PY2.7%/univention/appcenter/app.py", line 1080, in is_ucs_component
    return 'UCS components' in app.categories
AttributeError: 'NoneType' object has no attribute 'categories'


Role: None